generic-solver.cc File Reference
`#include "debug.hh"`
`#include <cassert>`
`#include <log4cxx/logger.h>`
`#include "roboptim/core/generic-solver.hh"`

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Functions

ROBOPTIM_DLLAPI std::ostream & | roboptim::operator<< (std::ostream &o, const GenericSolver &gs)
| Override operator<< to handle solver display. More...
ROBOPTIM_DLLAPI std::ostream & | roboptim::operator<< (std::ostream &o, const NoSolution &ns)
| Override operator<< to display ``no solution'' objects. More...